# Get Return Orders GET https://api.shipbob.com/2025-07/return Reference: https://developer.shipbob.com/api/returns/get-return-orders ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2025-07 version: 1.0.0 paths: /2025-07/return: get: operationId: get-return-orders summary: | Get Return Orders tags: - subpackage_returns parameters: - name: Ids in: query description: > The IDs of the returns to fetch. Accepts a comma-separated list of return IDs (e.g., "123,456,789"). required: false schema: type: string - name: ReferenceIds in: query description: > Comma-separated list of return reference IDs (RMA numbers) to filter by. required: false schema: type: string - name: Status in: query description: > Comma-separated list of return statuses to filter by (e.g., 'AwaitingArrival', 'Arrived', 'Processing', 'Completed', 'Cancelled'). required: false schema: type: string - name: FulfillmentCenterIds in: query description: | Comma-separated list of fulfillment center IDs to filter by. required: false schema: type: string - name: TrackingNumbers in: query description: | Comma-separated list of tracking numbers to filter by. required: false schema: type: string - name: OriginalShipmentIds in: query description: | Comma-separated list of original shipment IDs to filter by. required: false schema: type: string - name: InventoryIds in: query description: | Comma-separated list of inventory IDs to filter by. required: false schema: type: string - name: StartDate in: query description: | Filter returns created on or after this date (ISO 8601 format). required: false schema: type: string format: date-time - name: EndDate in: query description: | Filter returns created on or before this date (ISO 8601 format). required: false schema: type: string format: date-time - name: ReturnTypes in: query description: > Comma-separated list of return types to filter by (e.g., 'Regular', 'ReturnToSender'). required: false schema: type: string - name: ReturnActions in: query description: > Comma-separated list of return actions to filter by (e.g., 'Restock', 'Quarantine', 'Dispose'). required: false schema: type: string - name: StoreOrderIds in: query description: | Comma-separated list of store order IDs to filter by. required: false schema: type: string - name: Sortby in: query description: | Field to sort results by. required: false schema: type: string - name: CompletedStartDate in: query description: | Filter returns completed on or after this date (ISO 8601 format). required: false schema: type: string format: date-time - name: CompletedEndDate in: query description: | Filter returns completed on or before this date (ISO 8601 format). required: false schema: type: string format: date-time - name: Cursor in: query description: '' required: false schema: type: integer - name: Limit in: query description: '' required: false schema: type: string format: int32 - name: SortOrder in: query description: '' required: false schema: type: string format: int32 - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string - name: shipbob_channel_id in: header description: | Channel Id for operation required: false schema: type: string format: int32 responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Returns.PublicReturnDtoPagedUrlResultDto' '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/Returns.ProblemDetails' '401': description: Authorization missing or invalid content: application/json: schema: description: Any type '403': description: The provided credentials are not authorized to access this resource content: application/json: schema: description: Any type '404': description: Not Found content: application/json: schema: $ref: '#/components/schemas/Returns.ProblemDetails' servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Returns.ChannelDto: type: object properties: id: type: integer name: type: - string - 'null' title: Returns.ChannelDto Returns.FulfillmentCenterDto: type: object properties: id: type: integer name: type: - string - 'null' title: Returns.FulfillmentCenterDto Returns.ActionRequestedDto: type: object properties: action: type: - string - 'null' action_type: type: - string - 'null' instructions: type: - string - 'null' title: Returns.ActionRequestedDto Returns.ActionTakenDto: type: object properties: action: type: - string - 'null' action_reason: type: - string - 'null' image_url: type: - string - 'null' format: uri quantity_processed: type: integer title: Returns.ActionTakenDto Returns.LotInformationDto: type: object properties: expiration: type: - string - 'null' format: date-time minimumShelfLife: type: - integer - 'null' number: type: - string - 'null' title: Returns.LotInformationDto Returns.InventoryItemDto: type: object properties: action_requested: $ref: '#/components/schemas/Returns.ActionRequestedDto' action_taken: type: - array - 'null' items: $ref: '#/components/schemas/Returns.ActionTakenDto' id: type: integer lot_information: $ref: '#/components/schemas/Returns.LotInformationDto' name: type: - string - 'null' quantity: type: integer sku: type: - string - 'null' title: Returns.InventoryItemDto Returns.InvoiceDto: type: object properties: amount: type: - number - 'null' format: double currency_code: type: - string - 'null' title: Returns.InvoiceDto Returns.StatusHistoryDto: type: object properties: status: type: - string - 'null' timestamp: type: string format: date-time title: Returns.StatusHistoryDto Returns.TransactionDto: type: object properties: amount: type: number format: double transaction_type: type: - string - 'null' title: Returns.TransactionDto Returns.PublicReturnDto: type: object properties: arrived_date: type: - string - 'null' format: date-time awaiting_arrival_date: type: - string - 'null' format: date-time cancelled_date: type: - string - 'null' format: date-time channel: $ref: '#/components/schemas/Returns.ChannelDto' completed_date: type: - string - 'null' format: date-time customer_name: type: - string - 'null' fulfillment_center: $ref: '#/components/schemas/Returns.FulfillmentCenterDto' id: type: integer insert_date: type: string format: date-time inventory: type: - array - 'null' items: $ref: '#/components/schemas/Returns.InventoryItemDto' invoice: $ref: '#/components/schemas/Returns.InvoiceDto' original_shipment_id: type: - integer - 'null' processing_date: type: - string - 'null' format: date-time reference_id: type: - string - 'null' return_type: type: - string - 'null' shipment_tracking_number: type: - string - 'null' status: type: - string - 'null' status_history: type: - array - 'null' items: $ref: '#/components/schemas/Returns.StatusHistoryDto' store_order_id: type: - string - 'null' tracking_number: type: - string - 'null' transactions: type: - array - 'null' items: $ref: '#/components/schemas/Returns.TransactionDto' title: Returns.PublicReturnDto Returns.PublicReturnDtoPagedUrlResultDto: type: object properties: first: type: - string - 'null' format: uri items: type: - array - 'null' items: $ref: '#/components/schemas/Returns.PublicReturnDto' last: type: - string - 'null' format: uri next: type: - string - 'null' format: uri prev: type: - string - 'null' format: uri title: Returns.PublicReturnDtoPagedUrlResultDto Returns.ProblemDetails: type: object properties: detail: type: - string - 'null' instance: type: - string - 'null' status: type: - integer - 'null' title: type: - string - 'null' type: type: - string - 'null' title: Returns.ProblemDetails securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python Returns_getReturnOrders_example import requests url = "https://api.shipbob.com/2025-07/return" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Returns_getReturnOrders_example const url = 'https://api.shipbob.com/2025-07/return'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Returns_getReturnOrders_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2025-07/return" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Returns_getReturnOrders_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2025-07/return") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Returns_getReturnOrders_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2025-07/return") .header("Authorization", "Bearer ") .asString(); ``` ```php Returns_getReturnOrders_example request('GET', 'https://api.shipbob.com/2025-07/return', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Returns_getReturnOrders_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2025-07/return"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Returns_getReturnOrders_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2025-07/return")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```